include("Resources/Scripts/MemoryHog.js");

hog = new MemoryHog();
loadPrefs();
hogText.data = hog.init();

function placeText()
{
	hogText.hOffset = hogWindow.width / 2;
	hogText.vOffset = hogWindow.height / 2 - hogWindow.height * .13;
}

function loadPrefs()
{
	// get initial variables
	intVal = preferences.updateInterval.value;
	sizeVal = preferences.windowSize.value;
	sizePercent = sizeVal/100;
	textSizeVal = preferences.textSize.value;
	textColor = preferences.textColor.value;
	font = preferences.textFont.value;
	
	// set timer value
	if(timer.interval != intVal)
		timer.interval = intVal;	
	// set window and pic scale/size
	if(hog.currentScale != sizeVal) 
	{
		hogWindow.width = hogPic.srcWidth * sizePercent;
		hogWindow.height = hogPic.srcHeight * sizePercent;
		hogPic.width = hogPic.srcWidth * sizePercent;
		hogPic.height = hogPic.srcHeight * sizePercent;
		hogText.size = hog.defaultTextSize * sizePercent;
		hog.currentScale = sizeVal;
	}
	// set the font
	if( hogText.font != font)
		hogText.font = font;
	// set text size
	if( !isNaN(textSizeVal) )
		if(hogText.size != textSizeVal )
			hogText.size = textSizeVal;
	// set text bold or not
	if(preferences.textBold.value == 1)
		hogText.style = 'bold';
	else 
		hogText.style = '';
	// set text color
	if(hogText.color != textColor)
		hogText.color = textColor;
			
	placeText();
}

